Subject: Re: bug#71975: fails to build emacs from master

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Jul 2024 08:55:14 +0300

tags 71975 unreproducible
thanks

> Date: Sat,  6 Jul 2024 22:10:41 +0100
> From: John ff <[email-masked]>
> 
> 
> I regularly pull the latest emacs from maser source, and compile.
> n the last few days this has not worked.  First error was missing
> makefile.in but I have failed to find a way to compile.
> I tried make bootstrap which has solved many such problems.
> From git://git.sv.gnu.org/emacs
>    38ce85c547c..d826240fa56  master     -> origin/master
>    235b9e85a67..9625e4af994  emacs-30   -> origin/emacs-30
> Updating 38ce85c547c..d826240fa56
> Fast-forward
>  etc/NEWS                               | 20 +++++++++++++++
>  lisp/emacs-lisp/checkdoc.el            | 42 ++++++++++++++++++-------------
>  lisp/emacs-lisp/lisp-mnt.el            | 47 +++++++++++++++++++++++++++--------
>  lisp/emacs-lisp/package.el             | 13 +++-------
>  test/lisp/emacs-lisp/lisp-mnt-tests.el | 13 ++++++++++
>  5 files changed, 98 insertions(+), 37 deletions(-)
> make actual-all || make advice-on-failure make-target=all exit-status=$?
> make[1]: Entering directory '/home/jpff/GNU/emacs'
> make -C lib all
> make -C doc/lispref info
> make -C doc/lispintro info
> make -C doc/emacs info
> make[2]: Entering directory '/home/jpff/GNU/emacs/doc/lispintro'
> make[2]: Nothing to be done for 'info'.
> make[2]: Leaving directory '/home/jpff/GNU/emacs/doc/lispintro'
> make[2]: Entering directory '/home/jpff/GNU/emacs/doc/lispref'
> make[2]: Nothing to be done for 'info'.
> make[2]: Leaving directory '/home/jpff/GNU/emacs/doc/lispref'
> make[2]: Entering directory '/home/jpff/GNU/emacs/doc/emacs'
> make[2]: Nothing to be done for 'info'.
> make[2]: Leaving directory '/home/jpff/GNU/emacs/doc/emacs'
> make[2]: Entering directory '/home/jpff/GNU/emacs/lib'
> make[2]: Nothing to be done for 'all'.
> make[2]: Leaving directory '/home/jpff/GNU/emacs/lib'
> make -C lib-src all
> make[2]: Entering directory '/home/jpff/GNU/emacs/lib-src'
> make[2]: Nothing to be done for 'all'.
> make[2]: Leaving directory '/home/jpff/GNU/emacs/lib-src'
> make -C src BIN_DESTDIR=''/usr/local/bin/'' \
>          ELN_DESTDIR='/usr/local/lib64/emacs/31.0.50/' all
> make[2]: Entering directory '/home/jpff/GNU/emacs/src'
> make[2]: *** No rule to make target 'filelock.c', needed by 'gl-stamp'.  Stop.
> make[2]: Leaving directory '/home/jpff/GNU/emacs/src'
> make[1]: *** [Makefile:554: src] Error 2
> make[1]: Leaving directory '/home/jpff/GNU/emacs'
> make[1]: Entering directory '/home/jpff/GNU/emacs'
> ***
> *** "make all" failed with exit status 2.

I cannot reproduce this with today's master branch.  Suggest to run
"git clean -fdx" followed by "git pull" and a full bootstrap.  I'm
quite sure there's something wrong with your cloned repository, since
the error message about filelock.c makes no sense.  If nothing else
helps, make a fresh Git clone.